# !/usr/bin/env python
# -*- coding: utf-8 -*-
from configs import Configs
from web_client.models.bot_db_models import SysPmdRatio

root=["6AV2124-0JC01-0AX0",
"6AV2124-0QC02-0AX1",
"6EP1333-1LB00",
"6EP1333-2BA20",
"6EP1333-2BA20",
"6EP1334-2BA20",
"6EP1334-3BA10",
"6EP1336-3BA10",
"6EP1961-2BA00",
"6EP1961-3BA21",
"6EP1964-2BA00",
"6EP3337-8SB00-0AY0",
"6EP3337-8SB00-0AY0",
"6EP7133-6AB00-0BN0",
"6EP7133-6AE00-0BN0",
"6ES7131-6BF00-0CA0",
"6ES7131-6BF00-0DA0",
"6ES7131-6BF01-0AA0",
"6ES7131-6BF01-0BA0",
"6ES7131-6BH01-0BA0",
"6ES7131-6FD01-0BB1",
"6ES7132-6BD20-0BA0",
"6ES7132-6BD20-0CA0",
"6ES7132-6BF00-0CA0",
"6ES7132-6BF01-0AA0",
"6ES7132-6BF01-0BA0",
"6ES7132-6BH00-0AA0",
"6ES7132-6BH01-0BA0",
"6ES7132-6FD00-0BB1",
"6ES7134-6FB00-0BA1",
"6ES7134-6FF00-0AA1",
"6ES7134-6GB00-0BA1",
"6ES7134-6GD01-0BA1",
"6ES7134-6GF00-0AA1",
"6ES7134-6HB00-0CA1",
"6ES7134-6HD01-0BA1",
"6ES7134-6JD00-0CA1",
"6ES7134-6JD00-0DA1",
"6ES7134-6JF00-0CA1",
"6ES7134-6PA01-0BD0",
"6ES7134-6TD00-0CA1",
"6ES7135-6FB00-0BA1",
"6ES7135-6GB00-0BA1",
"6ES7135-6HB00-0CA1",
"6ES7135-6HD00-0BA1",
"6ES7137-6AA00-0BA0",
"6ES7138-6BA00-0BA0",
"6ES7138-6DB00-0BB1",
"6ES7153-2AR04-0XA0",
"6ES7153-2AR04-0XA0",
"6ES7155-5AA00-0AC0",
"6ES7155-6AA01-0BN0",
"6ES7158-0AD01-0XA0",
"6ES7193-6AF00-0AA0",
"6ES7193-6AP20-0AA0",
"6ES7193-6AR00-0AA0",
"6ES7193-6BP00-0DA0",
"6ES7193-6CP00-2MA0",
"6ES7193-6CP01-2MA0",
"6ES7193-6CP02-2MA0",
"6ES7193-6CP03-2MA0",
"6ES7193-6CP05-2MA0",
"6ES7193-6CP41-2MB0",
"6ES7193-6CP71-2AA0",
"6ES7193-6PA00-0AA0",
"6ES7195-1GF30-0XA0",
"6ES7195-1GG30-0XA0",
"6ES7195-7HA00-0XA0",
"6ES7195-7HA00-0XA0",
"6ES7195-7HB00-0XA0",
"6ES7195-7HB00-0XA0",
"6ES7195-7HC00-0XA0",
"6ES7197-1LA12-0XA0",
"6ES7315-2AH14-0AB0",
"6ES7315-2EH14-0AB0",
"6ES7318-3EL01-0AB0",
"6ES7321-1BL00-0AA0",
"6ES7321-1BL00-0AA0",
"6ES7322-1BL00-0AA0",
"6ES7322-1BL00-0AA0",
"6ES7326-1BK02-0AB0",
"6ES7331-1KF02-0AB0",
"6ES7331-7KF02-0AB0",
"6ES7331-7KF02-0AB0",
"6ES7331-7NF10-0AB0",
"6ES7331-7PF11-0AB0",
"6ES7331-7TF01-0AB0",
"6ES7331-7TF01-0AB0",
"6ES7332-5HF00-0AB0",
"6ES7332-7ND02-0AB0",
"6ES7332-7ND02-0AB0",
"6ES7392-1AJ00-0AA0",
"6ES7392-1AJ00-0AA0",
"6ES7392-1AM00-0AA0",
"6ES7392-1AM00-0AA0",
"6ES7400-1JA01-0AA0",
"6ES7400-2JA00-0AA0",
"6ES7401-1DA01-0AA0",
"6ES7407-0DA02-0AA0",
"6ES7407-0KA02-0AA0",
"6ES7407-0KR02-0AA0",
"6ES7410-5HM08-0AB0",
"6ES7410-5HX08-0AB0",
"6ES7416-2XP07-0AB0",
"6ES7416-3ES07-0AB0",
"6ES7416-5HS06-0AB0",
"6ES7417-5HT06-0AB0",
"6ES7511-1TK02-4YB5",
"6ES7512-1CK01-0AB0",
"6ES7515-2AM02-0AB0",
"6ES7516-3AN02-0AB0",
"6ES7517-3AP00-0AB0",
"6ES7521-1BL10-0AA0",
"6ES7522-1BL10-0AA0",
"6ES7522-5HH00-0AB0",
"6ES7531-7KF00-0AB0",
"6ES7531-7PF00-0AB0",
"6ES7531-7QF00-0AB0",
"6ES7532-5HD00-0AB0",
"6ES7532-5HF00-0AB0",
"6ES7540-1AB00-0AA0",
"6ES7541-1AB00-0AB0",
"6ES7545-5DA00-0AB0",
"6ES7590-1AE80-0AA0",
"6ES7592-1AM00-0XB0",
"6ES7651-5AA58-0YA0",
"6ES7652-0XD58-2YB5",
"6ES7652-0XD58-2YB5",
"6ES7652-3AA58-2YA0",
"6ES7652-3BA58-2YA0",
"6ES7652-3BA58-2YA0",
"6ES7653-2CA00-0XE0",
"6ES7653-2CB00-0XB0",
"6ES7653-2CC00-0XE0",
"6ES7653-2CX02-0XE0",
"6ES7654-5CJ00-0XF0",
"6ES7658-1AX58-0YB5",
"6ES7658-2AA58-0YA0",
"6ES7658-2BA58-0YA0",
"6ES7658-2BA58-0YA0",
"6ES7658-2CX58-0YB5",
"6ES7658-2CX58-0YB5",
"6ES7658-2EA00-2YB0",
"6ES7658-2XA00-0XB0",
"6ES7658-2XB00-0XB0",
"6ES7658-2XB00-0XB0",
"6ES7658-2XC00-0XB0",
"6ES7658-3LD68-0YA5",
"6ES7658-3LD68-0YA5",
"6ES7658-5AX58-0YA5",
"6ES7658-5AX58-0YA5",
"6ES7810-5CC12-0YA5",
"6ES7810-5CC12-0YA5",
"6ES7870-1AA01-0YA1",
"6ES7870-1AB01-0YA0",
"6ES7952-1AM00-0AA0",
"6ES7952-1AP00-0AA0",
"6ES7952-1AS00-0AA0",
"6ES7952-1KL00-0AA0",
"6ES7953-8LJ31-0AA0",
"6ES7953-8LL31-0AA0",
"6ES7954-8LE03-0AA0",
"6ES7954-8LL03-0AA0",
"6ES7960-1AA04-5AA0",
"6ES7960-1AA06-0XA0",
"6ES7964-2AA04-0AB0",
"6ES7971-0BA00",
"6ES7971-0BA00",
"6ES7972-0BA12-0XA0",
"6ES7972-0BA12-0XA0",
"6ES7972-0BA52-0XA0",
"6ES7972-0BA52-0XA0",
"6GK1162-3AA00",
"6GK1162-3AA00",
"6GK1503-2CB00",
"6GK1503-2CB00",
"6GK1503-3CB00",
"6GK1503-3CB00",
"6GK1562-2AA00",
"6GK1571-0BA00-0AA0",
"6GK1571-0BA00-0AA0",
"6GK1716-0HB13-0AA0",
"6GK1901-1BB12-2AE0",
"6GK5004-2BD00-1AB2",
"6GK5005-0BA00-1AB2",
"6GK5008-0BA10-1AB2",
"6GK5106-2BB00-2AC2",
"6GK5108-2BB00-2AB2",
"6GK5112-0BA00-2AB2",
"6GK5206-2BB00-2AC2",
"6GK5206-2BS00-2AC2",
"6GK5206-2GS00-2AC2",
"6GK5208-0BA00-2AC2",
"6GK5208-0GA00-2AC2",
"6GK5216-4BS00-2AC2",
"6GK5721-1FC00-0AA0",
"6GK5722-1FC00-0AA0",
"6GK5734-1FX00-0AA0",
"6GK5761-1FC00-0AA0",
"6GK5774-1FX00-0AA0",
"6GK5792-4DN00-0AA6",
"6GK5793-4MN00-0AA6",
"6GK5795-6MN10-0AA6",
"6GK5992-1AG00-8AA0",
"6GK5992-1AM00-8AA0",
"6GK5992-1AN00-8AA0",
"6GK7342-5DA03-0XE0",
"6GK7343-1EX30-0XE0",
"6GK7443-1EX30-0XE0",
"6GK7443-1GX30-0XE0",
"6GK7542-1AX00-0XE0",
"6GK7542-5FX00-0XE0",
"6GK7542-6UX00-0XE0",
"6GK7543-6WX00-0XE0",
"7MH4138-6AA00-0BA0"]

val = [
"0.62",
"0.59",
"0.60",
"0.63",
"0.63",
"0.63",
"0.68",
"0.75",
"0.66",
"0.74",
"0.74",
"0.66",
"0.66",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.56",
"0.56",
"0.56",
"0.69",
"0.56",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.69",
"0.56",
"0.55",
"0.55",
"0.55",
"0.56",
"0.56",
"0.56",
"0.57",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.52",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.57",
"0.57",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.50",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"1.25",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.56",
"0.55",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.52",
"0.52",
"0.52",
"0.52",
"0.57",
"0.57",
"0.57",
"0.57",
"0.50",
"0.50",
"0.52",
"0.52",
"0.57",
"0.57",
"0.57",
"0.57",
"0.57",
"0.56",
"0.56",
"0.56",
"0.56",
"0.59",
"0.59",
"0.64",
"0.64",
"0.64",
"0.64",
"0.59",
"0.59",
"0.59",
"0.59",
"0.93",
"0.64",
"0.63",
"0.63",
"0.64",
"0.64",
"0.64",
"0.64",
"0.64",
"0.64",
"0.64",
"0.64",
"0.64",
"0.70",
"0.70",
"0.70",
"0.70",
"0.70",
"0.73",
"0.73",
"0.73",
"0.64",
"0.64",
"0.64",
"0.64",
"0.59",
"0.59",
"0.59",
"0.59",
"0.59",
"0.59",
"0.59",
"1.23"]
print(len(root))
print(len(val))

for i in range (0,len(root)):
    id = SysPmdRatio(root_name=root[i], value=val[i]).insert()
    if id:
        print(id)
    else:
        dtr = SysPmdRatio(root_name=root[i]).get_one_by_code()
        print(SysPmdRatio(id=dtr['id']).update(value=val[i]))
        print('update')
